> For the complete documentation index, see [llms.txt](https://run-ai-docs.nvidia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://run-ai-docs.nvidia.com/self-hosted/2.23/reference/cli/runai/runai-project-create.md).

# runai project create

Create a new project

```
runai project create PROJECT_NAME [flags]
```

## Examples

```
# Create a project using single nodepools
runai project create <name> --resources nodepool=<nodepool_name>,gpu-deserved=<gpu_deserved_number>,gpu-limit=<gpu_limit_number>,priority=<priority_name> 
							--description <description>

# Create a project using multiple nodepools
runai project create <name> --resources nodepool=<nodepool_name>,gpu-deserved=<gpu_deserved_number>,gpu-limit=<gpu_limit_number>,priority=<priority_name> 
							--resources nodepool=<nodepool_name>,gpu-deserved=<gpu_deserved_number>,gpu-limit=<gpu_limit_number>,priority=<priority_name> 
							--description <description>

# Create a project using existing namespace
runai project create <name> --resources nodepool=<nodepool_name>,gpu-deserved=<gpu_deserved_number>,gpu-limit=<gpu_limit_number>,priority=<priority_name> 
							--description <description>
							--namespace <namespace>

# Create a project using default values for gpu-deserved (0) and gpu-limit (-1)
runai project create <name> --resources nodepool=<nodepool_name>,priority=<priority_name> 
							--description <description>
							--namespace <namespace>

# Create a project using default nodepool and all default values for gpu-deserved (0) and gpu-limit (-1)
runai project create <name>

```

## Options

```
      --department string     Department for the project (default "default")
      --description string    Description for the project
  -h, --help                  help for create
      --json                  Output structure JSON
      --namespace string      Namespace for the project
      --no-headers            Output structure table without headers
      --resources resources   Resources for the project (can be specified multiple times)
      --table                 Output structure table
      --yaml                  Output structure YAML
```

## Options inherited from parent commands

```
      --config-file string   config file name; can be set by environment variable RUNAI_CLI_CONFIG_FILE (default "config.json")
      --config-path string   config path; can be set by environment variable RUNAI_CLI_CONFIG_PATH
  -d, --debug                enable debug mode
  -q, --quiet                enable quiet mode, suppress all output except error messages
      --verbose              enable verbose mode
```

## SEE ALSO

* [runai project](/self-hosted/2.23/reference/cli/runai/runai_project.md) - project management


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://run-ai-docs.nvidia.com/self-hosted/2.23/reference/cli/runai/runai-project-create.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
